com.corticon.eclipse.core

## Class Log

- java.lang.Object
- - com.corticon.eclipse.core.Log

-     public class Log
      extends java.lang.Object

  The logger of convenience for the core plug-in.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.eclipse.core.runtime.IStatus` | `createStatus(int aiSeverity, int aiCode, java.lang.String astrMessage, java.lang.Throwable aThrowable)` Create a status object representing the specified information.
    `static void` | `log(int aiSeverity, int aiCode, java.lang.String astrMessage, java.lang.Throwable aThrowable)` Log the specified information.
    `static void` | `log(org.eclipse.core.runtime.IStatus aIStatus)` Log the given an instance of `IStatus` if available.
    `static void` | `logDebug(java.lang.String astrMessage)` Log debugging information
    `static void` | `logError(java.lang.String astrMessage)` Log the specified error.
    `static void` | `logError(java.lang.String astrMessage, java.lang.Throwable aThrowable)` Log the specified error.
    `static void` | `logError(java.lang.Throwable aThrowable)` Log the specified error.
    `static void` | `logInfo(java.lang.String astrMessage)` Log the specified information.
    `static void` | `logWarning(java.lang.String astrMessage)` Log the specified warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log

          public Log()

  - ### Method Detail

    - #### logWarning

          public static void logWarning(java.lang.String astrMessage)

      Log the specified warning.
      Parameters:
        `astrMessage` - Human-readable message, localized to the current locale.

    - #### logInfo

          public static void logInfo(java.lang.String astrMessage)

      Log the specified information.
      Parameters:
        `astrMessage` - Human-readable message, localized to the current locale.

    - #### logDebug

          public static void logDebug(java.lang.String astrMessage)

      Log debugging information
      Parameters:
        `astrMessage` -

    - #### logError

          public static void logError(java.lang.Throwable aThrowable)

      Log the specified error.
      Parameters:
        `aThrowable` - Any error or exception

    - #### logError

          public static void logError(java.lang.String astrMessage,
                      java.lang.Throwable aThrowable)

      Log the specified error.
      Parameters:
        `astrMessage` - A human-readable message, localized to the current locale.
        `aThrowable` - A low-level exception, or `null` if not applicable.

    - #### logError

          public static void logError(java.lang.String astrMessage)

      Log the specified error.
      Parameters:
        `astrMessage` - A human-readable message, localized to the current locale.

    - #### log

          public static void log(int aiSeverity,
                 int aiCode,
                 java.lang.String astrMessage,
                 java.lang.Throwable aThrowable)

      Log the specified information.
      Parameters:
        `aiSeverity` - The severity; one of the following: `IStatus.OK`,`IStatus.ERROR`,`IStatus.INFO`, or `IStatus.WARNING`.
        `aiCode` - The plug-in-specific status code, or `OK`.
        `astrMessage` - A human-readable message, localized to the current locale.
        `aThrowable` - A low-level exception, or `null` if not applicable.

    - #### createStatus

          public static org.eclipse.core.runtime.IStatus createStatus(int aiSeverity,
                                                      int aiCode,
                                                      java.lang.String astrMessage,
                                                      java.lang.Throwable aThrowable)

      Create a status object representing the specified information.
      Parameters:
        `aiSeverity,` - the severity; one of the following: `IStatus.OK`,`IStatus.ERROR`,`IStatus.INFO`, or `IStatus.WARNING`.
        `aiCode` - The plug-in-specific status code, or `OK`.
        `astrMessage` - A human-readable message, localized to the current locale.
        `aThrowable` - A low-level exception, or `null` if not applicable.
      Returns:
        The status object (not `null`).

    - #### log

          public static void log(org.eclipse.core.runtime.IStatus aIStatus)

      Log the given an instance of `IStatus` if available.
      Parameters:
        `aIStatus,` - the status to log.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.